ubuntu-location-service: core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > > Struct Template Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Static Public Member Functions | List of all members
core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > > Struct Template Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > >:

## Static Public Member Functions
constexpr static ArgumentType | type_value ()
constexpr static bool | is_basic_type ()
constexpr static bool | requires_signature ()
static std::string | signature ()

## Detailed Description

### template<typename T>
struct core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > >

Definition at line 87 of file codec.h.

## Member Function Documentation

## ◆ is_basic_type()

template<typename T >

constexpr static bool core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > >::is_basic_type | ( |  | ) |
| inlinestaticconstexpr

Definition at line 94 of file codec.h.

## ◆ requires_signature()

template<typename T >

constexpr static bool core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > >::requires_signature | ( |  | ) |
| inlinestaticconstexpr

Definition at line 98 of file codec.h.

## ◆ signature()

template<typename T >

static std::string core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > >::signature | ( |  | ) |
| inlinestatic

Definition at line 103 of file codec.h.

## ◆ type_value()

template<typename T >

constexpr static ArgumentType core::dbus::helper::TypeMapper< com::ubuntu::location::units::Quantity< T > >::type_value | ( |  | ) |
| inlinestaticconstexpr

Definition at line 89 of file codec.h.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/codec.h